/**
 * 
 */
package com.cosylab.application;

import java.awt.Container;

import javax.swing.JFrame;


/**
 * GUI of an application, which can host plugin manager. 
 * @author ikriznar
 *
 */
public interface ApplicationPanel {
	public void insertPlugInGUI(VisiblePlugIn plugin, Object constraint);
	public void removePlugInGUI(VisiblePlugIn plugin);
	public Container getRootContainer();
	public Container getContentPane();
	public String getName();
}
