/*
 * @@COPYRIGHT@@
 */
package com.cosylab.gui;


import java.beans.IntrospectionException;

import com.cosylab.gui.adapters.ConverterCustomizerPropertyEditor;
import com.cosylab.gui.components.LabelledNumberFieldBeanInfo;
import com.cosylab.gui.components.NumberFieldBeanInfo;

/**
 * @author <a href="mailto:jernej.kamenik@cosylab.com">Jernej Kamenik</a>
 * @version $id$
 *
 */
public class DoubleNumberDisplayerBeanInfo extends LabelledNumberFieldBeanInfo {
	
	
	/**
	 * Creates new instance of DoubleNumberDisplayerBeanInfo.
	 * @throws IntrospectionException 
	 */
	public DoubleNumberDisplayerBeanInfo() throws IntrospectionException {
		super();
		setBeanDescriptor(DoubleNumberDisplayerCustomizer.class);
		overridePropertyDescriptor("converter", ConverterCustomizerPropertyEditor.class, "getConverter", "setConverter");
		removePropertyDescriptor("state");
		removePropertyDescriptor("dataState");
		removePropertyDescriptor("dataSource");
		removePropertyDescriptor("maximum");
		removePropertyDescriptor("minimum");
	}
		
}
