package com.cosylab.gui;

import java.awt.Image;
import java.beans.IntrospectionException;

import com.cosylab.gui.components.util.ImageHelper;
import com.cosylab.util.BeanInfoSupport;

public class IconDisplayerBeanInfo extends BeanInfoSupport {
	
	public IconDisplayerBeanInfo() throws IntrospectionException {
		super();
		loadDefaultPropertyDescriptors();
		setBeanDescriptor(IconDisplayerCustomizer.class);
		loadPropertyDescriptors(IconDisplayerCustomizer.VISUAL_BASIC_PROPERTIES);
		removePropertyDescriptor("dataState");
		removePropertyDescriptor("dataSource");
		loadPropertyDescriptor("icons", ValueIconPropertyEditor.class);
		loadPropertyDescriptor("defaultIconName", IconPropertyEditor.class);
		removePropertyDescriptor("defaultIcon");
	}
	/**
	 * @see java.beans.BeanInfo#getIcon(int)
	 */
	public Image getIcon(int iconKind) {
		return ImageHelper.createImage("icons/components/IconDisplayer16.gif");
	}
}
