/*
 * @@COPYRIGHT@@
 */
package com.cosylab.gui;

import java.awt.Image;
import java.beans.IntrospectionException;
import com.cosylab.gui.components.AbstractDisplayerPanelBeanInfo;
import com.cosylab.gui.components.util.ImageHelper;

/**
 * @author <a href="mailto:jernej.kamenik@cosylab.com">Jernej Kamenik</a>
 * @version $id$
 *
 */
public class LabelDisplayerBeanInfo extends AbstractDisplayerPanelBeanInfo {
	
	
	/**
	 * Creates new instance of LabelDisplayerBeanInfo.
	 * @throws IntrospectionException 
	 */
	public LabelDisplayerBeanInfo() throws IntrospectionException {
		super();
		setBeanDescriptor(LabelDisplayerCustomizer.class);
		loadPropertyDescriptors(LabelDisplayerCustomizer.VISUAL_BASIC_PROPERTIES);
		removePropertyDescriptor("dataState");
		removePropertyDescriptor("dataSource");
	}
	/**
	 * @see java.beans.BeanInfo#getIcon(int)
	 */
	public Image getIcon(int iconKind) {
		return ImageHelper.createImage("icons/components/Label16.gif");
	}

}
