/*
 * @@COPYRIGHT@@
 */
package com.cosylab.gui;

import java.beans.IntrospectionException;

import com.cosylab.gui.adapters.ConverterCustomizerPropertyEditor;
import com.cosylab.gui.components.SliderBeanInfo;
  
/**
 * @author <a href="mailto:jernej.kamenik@cosylab.com">Jernej Kamenik</a>
 * @version $id$
 *
 */
public class SliderDisplayerBeanInfo extends SliderBeanInfo {

	public SliderDisplayerBeanInfo() throws IntrospectionException {
		super();
		setBeanDescriptor(SliderDisplayerCustomizer.class);
		removePropertyDescriptor("dataState");
		removePropertyDescriptor("dataSource");
		overridePropertyDescriptor("converter", ConverterCustomizerPropertyEditor.class, "getConverter", "setConverter");
	}
}
