/*
 * @@COPYRIGHT@@
 */
package com.cosylab.gui;

import java.beans.IntrospectionException;

import com.cosylab.gui.adapters.ConverterCustomizerPropertyEditor;
import com.cosylab.gui.components.LabelledWheelswitchBeanInfo;

/**
 * @author <a href="mailto:jernej.kamenik@cosylab.com">Jernej Kamenik</a>
 * @version $id$
 *
 */
public class WheelswitchDisplayerBeanInfo extends LabelledWheelswitchBeanInfo {

	public WheelswitchDisplayerBeanInfo() throws IntrospectionException {
	    super();
	    setBeanDescriptor(WheelswitchDisplayerCustomizer.class);
		removePropertyDescriptor("dataState");
		removePropertyDescriptor("dataSource");
		overridePropertyDescriptor("converter", ConverterCustomizerPropertyEditor.class, "getConverter", "setConverter");
    }
	

}
