/*
 * Copyright (c) 2003 by Cosylab d.o.o.
 *
 * The full license specifying the redistribution, modification, usage and other
 * rights and obligations is included with the distribution of this project in
 * the file license.html. If the license is not included you may find a copy at
 * http://www.cosylab.com/legal/abeans_license.htm or may write to Cosylab, d.o.o.
 *
 * THIS SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND, NOT EVEN THE
 * IMPLIED WARRANTY OF MERCHANTABILITY. THE AUTHOR OF THIS SOFTWARE, ASSUMES
 * _NO_ RESPONSIBILITY FOR ANY CONSEQUENCE RESULTING FROM THE USE, MODIFICATION,
 * OR REDISTRIBUTION OF THIS SOFTWARE.
 */

package com.cosylab.gui.adapters;

import java.awt.Image;
import java.beans.SimpleBeanInfo;

import com.cosylab.gui.components.util.ImageHelper;


/**
 * LinearConverterBeanInfo bean info.
 *
 * @author <a href="mailto:igor.verstovsek@cosylab.com">Igor Verstovsek</a>
 * @version $version$
 */
public class MultiplierConverterBeanInfo extends SimpleBeanInfo
{
	/**
	 * @see java.beans.BeanInfo#getIcon(int)
	 */
	public Image getIcon(int iconKind)
	{
		return ImageHelper.createImage(
		    "icons/navigation/ArrowRightRight16.gif");
	}
}

/* __oOo__ */
