/*
 * @@COPYRIGHT@@
 */
package com.cosylab.gui.components;

import java.awt.Image;
import java.beans.IntrospectionException;

import com.cosylab.gui.components.util.ImageHelper;
import com.cosylab.util.BeanInfoSupport;
  
/**
 * @author <a href="mailto:jernej.kamenik@cosylab.com">Jernej Kamenik</a>
 * @version $id$
 * 
 */
public class DialKnobBeanInfo extends BeanInfoSupport {
   
	  
	/**
	 * Creates new instance of DialKnobBeanInfo.
	 * @throws IntrospectionException 
	 */ 
	public DialKnobBeanInfo() throws IntrospectionException {
		super(); 
		loadDefaultPropertyDescriptors(); 
		setBeanDescriptor(DialKnobCustomizer.class);
		removePropertyDescriptor("state");
		setPropertyEditor("valuePolicy",ValuePolicyPropertyEditor.class);
	}
	
	/**
	 * @see java.beans.BeanInfo#getIcon(int)
	 */
	public Image getIcon(int iconKind) {
		return ImageHelper.createImage("icons/components/DialKnob16.gif");
	}

}
