/*
 * @@COPYRIGHT@@
 */
package com.cosylab.gui.components;

import java.awt.Image;
import java.beans.IntrospectionException;

import com.cosylab.gui.components.util.ImageHelper;

/**
 * @author <a href="mailto:jernej.kamenik@cosylab.com">Jernej Kamenik</a>
 * @version $id$
 *
 */
public class GaugerBeanInfo extends AbstractDisplayerPanelBeanInfo{

	public GaugerBeanInfo() throws IntrospectionException {
		super();
		setBeanDescriptor(GaugerCustomizer.class);
		loadPropertyDescriptors(GaugerCustomizer.GAUGER_PROPERTIES);
		loadPropertyDescriptors(GaugerCustomizer.VISUAL_BASIC_PROPERTIES);
		loadPropertyDescriptors("logarithmicScale");
		loadPropertyDescriptors("scaleMode");
	}

	/**
	 * @see java.beans.BeanInfo#getIcon(int)
	 */
	public Image getIcon(int iconKind) {
		return ImageHelper.createImage("icons/components/Gauger16.gif");
	}

}
