package com.cosylab.gui.components;

import java.awt.Image;
import java.beans.IntrospectionException;

import com.cosylab.gui.components.util.ImageHelper;

public class LabelledNumberFieldBeanInfo extends AbstractDisplayerPanelBeanInfo {
	
	public LabelledNumberFieldBeanInfo() throws IntrospectionException {
		super();
		setBeanDescriptor(LabelledNumberFieldCustomizer.class);
		loadPropertyDescriptors(LabelledNumberFieldCustomizer.VALUE_DISPLAY_PROPERTIES);
		loadPropertyDescriptors(LabelledNumberFieldCustomizer.VISUAL_BASIC_PROPERTIES);
		loadPropertyDescriptors(LabelledNumberFieldCustomizer.VALUE_DISPLAY_BOUNDS);
		removePropertyDescriptor("state");
	}
	
	/*
	 * (non-Javadoc)
	 * @see java.beans.SimpleBeanInfo#getIcon(int)
	 */
	@Override
	public Image getIcon(int iconKind) {
		return ImageHelper.createImage("icons/components/NumberField16.gif");
	}
	

}
