package com.cosylab.gui.components;

import java.beans.IntrospectionException;

import com.cosylab.gui.components.util.IconHelper;

public class LabelledWheelswitchBeanInfo extends AbstractDisplayerPanelBeanInfo {
	public LabelledWheelswitchBeanInfo() throws IntrospectionException {
		super();
		setBeanDescriptor(LabelledWheelswitchCustomizer.class);
		loadPropertyDescriptors(LabelledWheelswitchCustomizer.VALUE_DISPLAY_ADVANCED_PROPERTIES);
		loadPropertyDescriptors(LabelledWheelswitchCustomizer.VALUE_DISPLAY_PROPERTIES);
		loadPropertyDescriptors(LabelledWheelswitchCustomizer.VISUAL_BASIC_PROPERTIES);
		removePropertyDescriptor("state");
	}
	
	/*
	 * (non-Javadoc)
	 * @see java.beans.SimpleBeanInfo#getIcon(int)
	 */
	@Override
    public java.awt.Image getIcon(int iconKind) {
    	return IconHelper.createImage("icons/components/Wheelswitch16.gif");
    }
}
