/*
 * @@COPYRIGHT@@
 */
package com.cosylab.gui.components;

import java.awt.Image;
import java.beans.IntrospectionException;

import com.cosylab.gui.components.util.ImageHelper;

/**
 * @author <a href="mailto:jernej.kamenik@cosylab.com">Jernej Kamenik</a>
 * @version $id$
 *
 */
public class PiperBeanInfo extends AbstractDisplayerPanelBeanInfo {

	public PiperBeanInfo() throws IntrospectionException {
		super();
		setBeanDescriptor(PiperCustomizer.class);
		loadPropertyDescriptors(PiperCustomizer.VISUAL_BASIC_PROPERTIES);
		loadPropertyDescriptors(PiperCustomizer.VALUE_DISPLAY_PROPERTIES);
		loadPropertyDescriptors(PiperCustomizer.VALUE_POLICY);
		
	}

	/**
	 * @see java.beans.BeanInfo#getIcon(int)
	 */
	public Image getIcon(int iconKind) {
		return ImageHelper.createImage("icons/components/Piper16.gif");
	}

}
