/*
 * @@COPYRIGHT@@
 */
package com.cosylab.gui.components;

import java.awt.Image;
import java.beans.IntrospectionException;

import com.cosylab.gui.components.util.ImageHelper;
import com.cosylab.util.BeanInfoSupport;

/**
 * @author <a href="mailto:jernej.kamenik@cosylab.com">Jernej Kamenik</a>
 * @version $id$
 *
 */
public class SliderBeanInfo extends BeanInfoSupport {
	
	public SliderBeanInfo() throws IntrospectionException {
		super();
		setBeanDescriptor(SliderCustomizer.class);
		loadDefaultPropertyDescriptors();
		removePropertyDescriptor("state");
		loadPropertyDescriptor("setMode", SliderSetModePropertyEditor.class);
	}
	/**
	 * @see java.beans.BeanInfo#getIcon(int)
	 */
	public Image getIcon(int iconKind) {
		return ImageHelper.createImage("icons/components/Slider16.gif");
	}

}
