package com.cosylab.gui.components;

import java.beans.PropertyEditorSupport;

public class SliderSetModePropertyEditor extends PropertyEditorSupport {

	@Override
	public String getAsText() {
		return ((SliderSetMode)getValue()).name();
	}
		
	/*
	 * (non-Javadoc)
	 * @see java.beans.PropertyEditorSupport#setAsText(java.lang.String)
	 */
	public void setAsText(String text) {
		setValue(SliderSetMode.valueOf(text));
    }

	/*
	 * (non-Javadoc)
	 * @see java.beans.PropertyEditorSupport#getJavaInitializationString()
	 */
	public String getJavaInitializationString() {
		return "com.cosylab.gui.components.SliderSetMode."+getAsText();
	}
	
	@Override
	public String[] getTags() {
		SliderSetMode[] modes =  SliderSetMode.values();
		
		String[] tags = new String[modes.length];
		for (int i = 0; i < tags.length; i++) {
			tags[i] = modes[i].name();
		}
		return tags;
	}
	
	/*
	 * (non-Javadoc)
	 * @see java.beans.PropertyEditorSupport#supportsCustomEditor()
	 */
	public boolean supportsCustomEditor() {
		return false;
	}
}
