/*
 * Copyright (c) 2006 by Cosylab d.o.o.
 *
 * The full license specifying the redistribution, modification, usage and other
 * rights and obligations is included with the distribution of this project in
 * the file license.html. If the license is not included you may find a copy at
 * http://www.cosylab.com/legal/abeans_license.htm or may write to Cosylab, d.o.o.
 *
 * THIS SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND, NOT EVEN THE
 * IMPLIED WARRANTY OF MERCHANTABILITY. THE AUTHOR OF THIS SOFTWARE, ASSUMES
 * _NO_ RESPONSIBILITY FOR ANY CONSEQUENCE RESULTING FROM THE USE, MODIFICATION,
 * OR REDISTRIBUTION OF THIS SOFTWARE.
 */
/**
 * 
 */
package com.cosylab.gui.components.customizer;

import java.awt.Dimension;
import java.beans.Customizer;
import java.beans.IntrospectionException;
import java.beans.PropertyDescriptor;
import java.lang.reflect.InvocationTargetException;

import javax.swing.JTable;

import com.cosylab.gui.components.introspection.PropertiesTable;


/**
 * @author Igor Kriznar (igor.kriznarATcosylab.com)
 *
 */
public class PropertiesTableCustomizer extends PropertiesTable implements
		Customizer {
	
	/**
	 * Creates new instance of PropertiesTableCustomizer.
	 */
	public PropertiesTableCustomizer() {
		super();
		initialize();
	}
	
	/**
	 * Creates new instance of PropertiesTableCustomizer.
	 */
	public PropertiesTableCustomizer(Object bean) {
		super();
		setObject(bean);
		initialize();
	}
	
	/**
	 * Creates new instance of PropertiesTableCustomizer.
	 */
	public PropertiesTableCustomizer(String[] properties) {
		super(properties);
		initialize();
	}

	/**
	 * Creates new instance of PropertiesTableCustomizer.
	 */
	public PropertiesTableCustomizer(PropertyDescriptor[] properties) {
		super(properties);
		initialize();
	}

	/* (non-Javadoc)
	 * @see java.beans.Customizer#setObject(java.lang.Object)
	 */
	public void setObject(Object bean) {
		try {
			setBean(bean);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	private void initialize() {
		
/*		setAutoResizeMode(JTable.AUTO_RESIZE_ALL_COLUMNS);
		setPreferredSize(new Dimension(100,100));
		setMinimumSize(new Dimension(100,100));
*/	}

}
