package com.cosylab.gui.components.util;

import java.awt.Component;
import java.awt.Container;
import java.awt.event.MouseMotionListener;

import javax.swing.JComponent;
import javax.swing.TransferHandler;

public class DnDUtil {

	public static void setTransferHandler(TransferHandler th, JComponent component) {
		component.setTransferHandler(th);
		
		if (th instanceof MouseMotionListener) {
			recursiveGetChild(component,(MouseMotionListener)th);
		}
	}
	
	private static void recursiveGetChild(Component component, MouseMotionListener l) {
		if (component instanceof Container) {
			Component[] comp = ((Container)component).getComponents();
			for (Component c: comp) {
				recursiveGetChild(c,l);
			}
		}
		component.addMouseMotionListener(l);		
	}
	
}


/* __oOo__ */