package de.desy.acop.displayers;

import java.beans.IntrospectionException;

import com.cosylab.gui.components.util.IconHelper;
import com.cosylab.util.BeanInfoSupport;

import de.desy.acop.displayers.selector.TableSelectorPropertyEditor;

public class AcopTableBeanInfo extends BeanInfoSupport {

	public AcopTableBeanInfo() throws IntrospectionException {
		super();
		setBeanDescriptor(AcopTableCustomizer.class);
		loadDefaultPropertyDescriptors();
		overridePropertyDescriptor("displayerParameters", TableSelectorPropertyEditor.class, "getDisplayerParameters", "setDisplayerParameters");
//		loadPropertyDescriptor("displayerParameters", TableSelectorPropertyEditor.class);
		removePropertyDescriptor("connectionParameters"); 
	}
	
	/*
	 * (non-Javadoc)
	 * @see java.beans.SimpleBeanInfo#getIcon(int)
	 */
	@Override
    public java.awt.Image getIcon(int iconKind) {
    	return IconHelper.createImage("icons/components/Table16.gif");
    }
	
	
}
