/**
 * 
 */
package de.desy.acop.displayers;

import de.desy.acop.displayers.chart.AcopTrendChartSettingsCustomizer;
import de.desy.acop.displayers.selector.TrendChartConnectionCustomizer;

/**
 * @author Tilen Kusterle, Cosylab
 *
 */
public class AcopTrendChartCustomizer extends AcopChartReorgCustomizer {

	private static final long serialVersionUID = 1L;

	/* (non-Javadoc)
	 * @see de.desy.acop.displayers.AcopChart2Customizer#addChartConnectionCustomizer()
	 */
	@Override
	protected void addCustomizers() {
		addCustomizer("Connections", new TrendChartConnectionCustomizer());
		addCustomizer("Settings", new AcopTrendChartSettingsCustomizer());
	}

}
