package de.desy.acop.transport;

import java.beans.IntrospectionException;

import com.cosylab.gui.components.util.IconHelper;
import com.cosylab.util.BeanInfoSupport;

import de.desy.acop.displayers.selector.SelectorPropertyEditor;

public class AcopTransportBeanInfo extends BeanInfoSupport {
	
	public AcopTransportBeanInfo() throws IntrospectionException {
		super();
		setBeanDescriptor(AcopTransportCustomizer.class);
		loadDefaultPropertyDescriptors();
		loadPropertyDescriptor("connectionParameters", SelectorPropertyEditor.class);
		removePropertyDescriptor("deviceName");
		removePropertyDescriptor("deviceContext");
		removePropertyDescriptor("deviceProperty");
		removePropertyDescriptors("accessMode");
		removePropertyDescriptor("accessProtocol");
		removePropertyDescriptor("deviceGroup");
		removePropertyDescriptor("accessRate");
		removePropertyDescriptor("propertySize");
	}
	
	/*
	 * (non-Javadoc)
	 * @see java.beans.SimpleBeanInfo#getIcon(int)
	 */
	@Override
    public java.awt.Image getIcon(int iconKind) {
    	return IconHelper.createImage("icons/development/Jar16.gif");
    }
}
