/*
 * @@COPYRIGHT@@
 */
package com.cosylab.gui;

import java.beans.IntrospectionException;

import com.cosylab.gui.adapters.ConverterCustomizerPropertyEditor;
import com.cosylab.gui.components.LabelledGaugerBeanInfo;

/**
 * @author <a href="mailto:jernej.kamenil@cosylab.com">Jernej Kamenik</a>
 * @version $id$
 *
 */
public class GaugerDisplayerBeanInfo extends LabelledGaugerBeanInfo {
	
	/**
	 * Creates new instance of GaugerDisplayerBeanInfo.
	 * @throws IntrospectionException  
	 */
	public GaugerDisplayerBeanInfo() throws IntrospectionException { 
		super();
		setBeanDescriptor(GaugerDisplayerCustomizer.class); 
		removePropertyDescriptor("dataState");
		removePropertyDescriptor("dataSource");
		overridePropertyDescriptor("converter", ConverterCustomizerPropertyEditor.class, "getConverter", "setConverter");
	}
}
