package com.cosylab.gui;

import com.cosylab.gui.components.AbstractDisplayerPanelCustomizer;
import com.cosylab.gui.components.customizer.AbstractCustomizerPanel;

/**
 * 
 * @author Jaka Bobnar, Cosylab
 *
 */
public class IconDisplayerCustomizer extends AbstractCustomizerPanel {
	private static final long serialVersionUID = 1L;
	
	public static final String SCALE_ICONS = "scaleIcons";
	public static final String[] VISUAL_BASIC_PROPERTIES = { AbstractDisplayerPanelCustomizer.TITLE ,AbstractDisplayerPanelCustomizer.TITLE_VISIBLE, SCALE_ICONS};
	
	public IconDisplayerCustomizer() {
		super();
		addCustomizerTable(AbstractDisplayerPanelCustomizer.VISUAL_BASIC, VISUAL_BASIC_PROPERTIES);
		addCustomizer("Icon customization", new IconCustomizer());
		setSize(343, 440);
	}

}
