package com.cosylab.gui.components;

import com.cosylab.gui.components.customizer.AbstractCustomizerPanel;

public abstract class AbstractDisplayerPanelCustomizer extends AbstractCustomizerPanel {

	/** DOCUMENT ME! */
	public static final String VISUAL_BASIC = "Visual";

	/** DOCUMENT ME! */
	public static final String VISUAL_LAYOUT = "Visual/Layout";

	/** DOCUMENT ME! */
	public static final String RESIZABLE = "resizable";

	/** DOCUMENT ME! */
	public static final String TITLE_VISIBLE = "titleVisible";

	/** DOCUMENT ME! */
	public static final String TITLE = "title";

	/** Title maximum font size property constant */
	public static final String MIN_TITLE_FONT_SIZE = "titleMinimumFontSize";

	/** Title minimum font size property constant */
	public static final String MAX_TITLE_FONT_SIZE = "titleMaximumFontSize";

	/** DOCUMENT ME! */
	public static String[] VISUAL_BASIC_PROPERTIES = { TITLE, TITLE_VISIBLE,
			MIN_TITLE_FONT_SIZE, MAX_TITLE_FONT_SIZE, RESIZABLE };

	/** Supported aspects. */
	public static String[] ASPECTS = { VISUAL_BASIC, VISUAL_LAYOUT };

	public AbstractDisplayerPanelCustomizer() {
		addCustomizerTable(VISUAL_BASIC, VISUAL_BASIC_PROPERTIES);
		setSize(400, 400);
	}

}
