package com.cosylab.gui.components;

import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.JFrame;

public class DialKnobTester extends JFrame {

	private static final long serialVersionUID = 1L;

	private JPanel jContentPane = null;

	private DialKnob dialKnob = null;

	/**
	 * This is the default constructor
	 */
	public DialKnobTester() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(380, 248);
		this.setContentPane(getJContentPane());
		this.setTitle("JFrame");
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(new BorderLayout());
			jContentPane.add(getDialKnob(), BorderLayout.CENTER);
		}
		return jContentPane;
	}

	/**
	 * This method initializes dialKnob
	 * 
	 * @return com.cosylab.gui.components.DialKnob
	 */
	private DialKnob getDialKnob() {
		if (dialKnob == null) {
			dialKnob = new DialKnob();
			dialKnob.setTitle("Helloqqq!");

			dialKnob.setTitleVisible(true);  // Generated
			dialKnob.setLowWarningLimit(0.1233D);  // Generated
//			dialKnob.setState(UNABLE TO DETERMINE INITIALIZATION STRING);  // Generated
		}
		return dialKnob;
	}

} // @jve:decl-index=0:visual-constraint="10,10"
