package com.cosylab.gui.components;

import java.beans.IntrospectionException;

import com.cosylab.gui.components.util.IconHelper;

public class LabelledGaugerBeanInfo extends AbstractDisplayerPanelBeanInfo {
	
	
	/**
	 * Creates new instance of LabelledGaugerBeanInfo.
	 * @throws IntrospectionException 
	 */
	public LabelledGaugerBeanInfo() throws IntrospectionException {
		super();
		setBeanDescriptor(LabelledGaugerCustomizer.class);
		loadPropertyDescriptors(AbstractDisplayerPanelCustomizer.VISUAL_BASIC_PROPERTIES);
		loadPropertyDescriptors(LabelledGaugerCustomizer.VALUE_DISPLAY_PROPERTIES);
		loadPropertyDescriptors("logarithmicScale");
		loadPropertyDescriptors("scaleMode");
		removePropertyDescriptor("state");
	}
	
	/*
	 * (non-Javadoc)
	 * @see java.beans.SimpleBeanInfo#getIcon(int)
	 */
	@Override
    public java.awt.Image getIcon(int iconKind) {
    	return IconHelper.createImage("icons/components/Gauger16.gif");
    }
}
