package com.cosylab.gui.components;

import java.awt.Image;
import java.beans.IntrospectionException;

import com.cosylab.gui.components.util.ImageHelper;

public class LabelledLedderBeanInfo extends AbstractDisplayerPanelBeanInfo {

	
	/**
	 * Creates new instance of LabelledLedderBeanInfo.
	 * @throws IntrospectionException 
	 */
	public LabelledLedderBeanInfo() throws IntrospectionException {
		super();
		setBeanDescriptor(LabelledLedderCustomizer.class);
		loadPropertyDescriptors(LabelledLedderCustomizer.VISUAL_BASIC_PROPERTIES);
		loadPropertyDescriptors(LabelledLedderCustomizer.VALUE_DISPLAY_PROPERTIES);
	}
	
	/*
	 * (non-Javadoc)
	 * @see java.beans.SimpleBeanInfo#getIcon(int)
	 */
	@Override
	public Image getIcon(int iconKind) {
		return ImageHelper.createImage("icons/components/Ledder16.gif");
	}

}
