package com.cosylab.gui.components;

public class LabelledWheelswitchCustomizer extends
		AbstractNumericDisplayerPanelCustomizer {
	private static final long serialVersionUID = 1L;

	public static String[] ASPECTS = {
		VISUAL_BASIC, VISUAL_LAYOUT, VALUE_DISPLAY, VALUE_DISPLAY_ADVANCED
	};

	/** Edited number field property name. */
	public static final String ENHANCED = "enhanced";

	public static final String ANIMATED = "animated";

	/** Edited number field property name. */
	public static final String EDITABLE = "editable";

	/** Edited number field property name. */
	public static final String COLUMNS = "columns";

	/** Edited number field property name. */
	public static final String GRAPH_MIN = "minimum";

	/** Edited number field property name. */
	public static final String GRAPH_MAX = "maximum";


	/** Edited number field property name. */
	public static final String TILTING_ENABLED = "tiltingEnabled";

	/** Edited number field property list. */
	public static final String[] VISUAL_BASIC_PROPERTIES = {
		TITLE, TITLE_VISIBLE, UNITS_SHOWN_WITH_TITLE_VISIBLE, MIN_TITLE_FONT_SIZE, MAX_TITLE_FONT_SIZE, RESIZABLE, ENHANCED, TILTING_ENABLED, ANIMATED
	};

	/** Edited number field property list. */
	public static String[] VALUE_DISPLAY_ADVANCED_PROPERTIES = {
		EDITABLE
	};

	/** Edited number field property list. */
	public static String[] VALUE_DISPLAY_PROPERTIES = {
		GRAPH_MIN, GRAPH_MAX, BOUNDS_VISIBLE, UNITS, UNITS_VISIBLE, FORMAT
	};
	
	public LabelledWheelswitchCustomizer(){
		addCustomizerTable(VALUE_DISPLAY, VALUE_DISPLAY_PROPERTIES);
		addCustomizerTable(VALUE_DISPLAY_ADVANCED, VALUE_DISPLAY_ADVANCED_PROPERTIES);
		setSize(452, 205);
	}
}