/*
 * @@COPYRIGHT@@
 */
package com.cosylab.gui.components;

import java.awt.Image;
import java.beans.IntrospectionException;
import java.beans.PropertyDescriptor;
import java.beans.SimpleBeanInfo;
import java.util.ArrayList;

import com.cosylab.gui.components.util.ImageHelper;
import com.cosylab.util.BeanInfoSupport;

/**
 * @author <a href="mailto:jernej.kamenik@cosylab.com">Jernej Kamenik</a>
 * @version $id$
 *
 */
public class NumberFieldBeanInfo extends BeanInfoSupport {
	
	
	/**
	 * Creates new instance of NumberFieldBeanInfo.
	 */
	public NumberFieldBeanInfo() {
		super();
		loadDefaultPropertyDescriptors();
	}

	/**
	 * @see java.beans.BeanInfo#getIcon(int)
	 */
	public Image getIcon(int iconKind) {
		return ImageHelper.createImage("icons/components/NumberField16.gif");
	}
	
}
