/*
 * Copyright (c) 2004 by Cosylab d.o.o.
 *
 * The full license specifying the redistribution, modification, usage and other
 * rights and obligations is included with the distribution of this project in
 * the file license.html. If the license is not included you may find a copy at
 * http://www.cosylab.com/legal/abeans_license.htm or may write to Cosylab, d.o.o.
 *
 * THIS SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND, NOT EVEN THE
 * IMPLIED WARRANTY OF MERCHANTABILITY. THE AUTHOR OF THIS SOFTWARE, ASSUMES
 * _NO_ RESPONSIBILITY FOR ANY CONSEQUENCE RESULTING FROM THE USE, MODIFICATION,
 * OR REDISTRIBUTION OF THIS SOFTWARE.
 */

package com.cosylab.gui.components.numberfield;

/**
 * Visualize double number in hours:minutes:seconds format.
 *
 * @author <a href="mailto:igor.kriznar@cosylab.com">Igor Kriznar</a>
 */
public class HMSNumberDescriptor extends AngleNumberDescriptor
{

	/**
	 * @see NumberDescriptor
	 */
	public final static String NAME = "h:m:s Visualization";

	/**
	 * @see NumberDescriptor
	 */
	public final static String DESCRIPTION = "Displays double value in hour format: XX:XX:XX.";

	/**
	 * Creates new instance.
	 */
	public HMSNumberDescriptor()
	{
		super(':', ':', (char)0, true);
	}
}

/* __oOo__ */
