package com.cosylab.gui.components.numberfield;

/**
 * Document, which delegates parsing to <code>NumberDescriptor</code>.
 * @author ikriznar
 */
public class NumberDescriptorDocument extends AbstractNumberDocument {

	private NumberDescriptor descriptor;
	/**
	 * Creates new instance. 
	 */
	public NumberDescriptorDocument() {
		super();
	}

	/* (non-Javadoc)
	 * @see com.cosylab.gui.components.numberfield.AbstractNumberDocument#parseString(java.lang.String)
	 */
	protected Number parseNumber(String s) {
		return getDescriptor().parseNumber(s);
	}

	public NumberDescriptor getDescriptor() {
		if (descriptor==null) {
			descriptor= new DefaultNumberDescriptor();
		}
		return descriptor;
	}
	public void setDescriptor(NumberDescriptor descriptor) {
		this.descriptor = descriptor;
	}
}
