package com.cosylab.gui.infopanel;

import java.awt.BorderLayout;
import java.beans.IntrospectionException;
import java.lang.reflect.InvocationTargetException;

import javax.swing.JPanel;
import javax.swing.JScrollPane;

import com.cosylab.gui.components.introspection.PropertiesTable;

public class PropertiesPanel extends JPanel {

	private static final long serialVersionUID = 1523647646017553287L;
	private PropertiesTable table;
	private JScrollPane tableScroll;
	private Object bean;
	public PropertiesPanel() {
		super();
		initialize();
	}
	
	private void initialize() {
		this.setLayout(new BorderLayout());
		table = new PropertiesTable();
		table.setEnabled(false);
		tableScroll = new JScrollPane(table);
		this.add(tableScroll, BorderLayout.CENTER);
	}
	
	public void setBean(Object bean) {
		this.bean = bean;
		try {
			table.setBean(bean);
		} catch (IntrospectionException e) {
			e.printStackTrace();
		} catch (IllegalAccessException e) {
			e.printStackTrace();
		} catch (InvocationTargetException e) {
			e.printStackTrace();
		}			
	}
	
	public Object getBean() {
		return bean;
	}
}