package com.cosylab.gui.util;
import java.beans.PropertyDescriptor;
import java.util.ArrayList;

import com.cosylab.gui.displayers.Displayer;
import com.cosylab.introspection.BeanIntrospector;


public class GuiIntrospector {
	public static PropertyDescriptor[] getDisplayerWritableStaticProperties(Class displayerClass) throws java.beans.IntrospectionException{
    PropertyDescriptor[] desc=BeanIntrospector.getWritable(BeanIntrospector.getInterfacePropertyDescriptors(displayerClass,Displayer.class));
    ArrayList list=new ArrayList();
    for (int i = 0; i < desc.length; i++){
      if (!desc[i].getName().equals("value")) list.add(desc[i]);
    }
    PropertyDescriptor[] ret=new PropertyDescriptor[list.size()];
    list.toArray(ret);
    return ret;
	}
	public static PropertyDescriptor getDisplayerDynamicProperty(Class displayerClass) throws java.beans.IntrospectionException{
		return BeanIntrospector.getPropertyDescriptor(displayerClass,"value");
	}
	public static PropertyDescriptor[] getDisplayerReadableStaticProperties(Class displayerClass) throws java.beans.IntrospectionException{
    PropertyDescriptor[] desc=BeanIntrospector.getReadable(BeanIntrospector.getInterfacePropertyDescriptors(displayerClass,Displayer.class));
    ArrayList list=new ArrayList();
    for (int i = 0; i < desc.length; i++){
      if (!desc[i].getName().equals("value")) list.add(desc[i]);
    }
    PropertyDescriptor[] ret=new PropertyDescriptor[list.size()];
    list.toArray(ret);
    return ret;
	}
}

