/*
 * Copyright (c) 2006 by Cosylab d.o.o.
 *
 * The full license specifying the redistribution, modification, usage and other
 * rights and obligations is included with the distribution of this project in
 * the file license.html. If the license is not included you may find a copy at
 * http://www.cosylab.com/legal/abeans_license.htm or may write to Cosylab, d.o.o.
 *
 * THIS SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND, NOT EVEN THE
 * IMPLIED WARRANTY OF MERCHANTABILITY. THE AUTHOR OF THIS SOFTWARE, ASSUMES
 * _NO_ RESPONSIBILITY FOR ANY CONSEQUENCE RESULTING FROM THE USE, MODIFICATION,
 * OR REDISTRIBUTION OF THIS SOFTWARE.
 */
/**
 * 
 */
package de.desy.acop.displayers;

import com.cosylab.gui.components.customizer.AbstractCustomizerPanel;

import de.desy.acop.displayers.chart.AcopChartReorgSettingsCustomizer;
import de.desy.acop.displayers.selector.ChartConnectionCustomizer;
 
/**
 * @author Igor Kriznar (igor.kriznarATcosylab.com)
 *
 */
public class AcopChartReorgCustomizer extends AbstractCustomizerPanel {

	private static final long serialVersionUID = -7535211780029676232L;

	/**   
	 * Creates new instance of AcopDisplayerCustomizer.
	 */
	public AcopChartReorgCustomizer() {
		super();
		addCustomizers();
		setDividerLocation(100);
		setSize(900,520); 
	}
	
	protected void addCustomizers() {
		addCustomizer("Connections", new ChartConnectionCustomizer());
		addCustomizer("Settings", new AcopChartReorgSettingsCustomizer());
	}
	
}
