/*
 * Copyright (c) 2006 by Cosylab d.o.o.
 *
 * The full license specifying the redistribution, modification, usage and other
 * rights and obligations is included with the distribution of this project in
 * the file license.html. If the license is not included you may find a copy at
 * http://www.cosylab.com/legal/abeans_license.htm or may write to Cosylab, d.o.o.
 *
 * THIS SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND, NOT EVEN THE
 * IMPLIED WARRANTY OF MERCHANTABILITY. THE AUTHOR OF THIS SOFTWARE, ASSUMES
 * _NO_ RESPONSIBILITY FOR ANY CONSEQUENCE RESULTING FROM THE USE, MODIFICATION,
 * OR REDISTRIBUTION OF THIS SOFTWARE.
 */

package de.desy.acop.displayers;

import java.beans.IntrospectionException;

import com.cosylab.gui.GaugerDisplayerBeanInfo;

import de.desy.acop.displayers.selector.SelectorPropertyEditor;

/**
 * 
 * @author Jaka Bobnar, Cosylab
 *
 */
public class AcopGaugerBeanInfo extends GaugerDisplayerBeanInfo {
	
	/** 
	 * Creates new instance of AcopDisplayerBeanInfo.
	 * @throws IntrospectionException 
	 */
	public AcopGaugerBeanInfo() throws IntrospectionException {
		super(); 
		setBeanDescriptor(AcopGaugerCustomizer.class);
//		overridePropertyDescriptor("connectionParameters", SelectorPropertyEditor.class, "getConnectionParameters", "setConnectionParameters");
		loadPropertyDescriptor("connectionParameters", SelectorPropertyEditor.class);
	}  
}
