package de.desy.acop.displayers.selector;

import java.util.EventListener;

/**
 * Receives notifications of caught exceptions.
 * @author Jaka Bobnar, Cosylab
 *
 */
public interface ExceptionListener extends EventListener {
	
	/**
	 * Is called when exception occured.
	 * @param e
	 */
	public void exceptionReceived(ExceptionEvent e);

}
