package de.desy.acop.displayers.table;

import java.util.EventObject;

public class TableColumnEvent extends EventObject {

	private static final long serialVersionUID = -2287102515781647264L;
	private int rowIndex = -1;
	
	public TableColumnEvent(AcopTableColumn source) {
		super(source);
	}
	
	public TableColumnEvent(AcopTableColumn source, int rowIndex) {
		super(source);
		this.rowIndex = rowIndex;
	}
	
	public int getRowIndex() {
		return rowIndex;
	}
	
	public AcopTableColumn getColumn() {
		return (AcopTableColumn)getSource();
	}

	
	

}
