package de.desy.acop.displayers.tools;

import java.awt.datatransfer.DataFlavor;
import java.beans.PropertyVetoException;

import javax.swing.JComponent;

import com.cosylab.gui.displayers.DisplayerParameters;
import com.cosylab.util.CommonException;

public class AcopMultipleDisplayerParametersTransferHandler extends AbstractMDPTransferHandler{
	
	private static final long serialVersionUID = 4277524441131938702L;

	public AcopMultipleDisplayerParametersTransferHandler(MultipleAcopDisplayer comp, boolean reciveEnabled, boolean exportEnabled, DataFlavor[] f, boolean resetFlavors) {
		super((JComponent)comp, reciveEnabled, exportEnabled, f, resetFlavors);
	}
	
	protected AcopDisplayerParameters[] exportMultipleDisplayerParameters() {
		return ((MultipleAcopDisplayer)displayer).getDisplayerParameters();
	}
	
	@Override
	public boolean setParametersToDisplayer(Object disp, DisplayerParameters parameters) throws PropertyVetoException {
		try {
			if (parameters instanceof AcopDisplayerParameters) {
				((MultipleAcopDisplayer)displayer).addDisplayerParameters((AcopDisplayerParameters) parameters);
				return true;
			}
		} catch (CommonException e) {
			e.printStackTrace();
		}
		return super.setParametersToDisplayer(disp, parameters);
	}
	
}
