package de.desy.acop.displayers.tools;

import java.beans.PropertyChangeListener;
import java.beans.PropertyVetoException;

import com.cosylab.util.CommonException;

import de.desy.acop.transport.ConnectionParameters;

public interface ConnectionParametersReceiver {

	public static final String CONNECTION_PARAMETERS_PROPERTY = "connectionParameters";
	
	public ConnectionParameters getConnectionParameters();
	public void setConnectionParameters(ConnectionParameters cp) throws CommonException, PropertyVetoException;
	public void addPropertyChangeListener(String propertyName, PropertyChangeListener listener);
	public void addPropertyChangeListener(PropertyChangeListener listener);
	public void removePropertyChangeListener(PropertyChangeListener listener);
	
}
