package de.desy.acop.transport.adapters;

public class AdapterFactoryService {

	private static AdapterFactoryService instance;
	
	
	public static AdapterFactoryService getInstance() {
		if (instance == null) {
			instance = new AdapterFactoryService();
		}
		return instance;
	}
	
	private AdapterFactoryService() {
		
	}
	
	private AdapterFactory factory;
	
	public AdapterFactory getAdapterFactory() {
		if (factory == null) {
			factory = new DefaultAdapterFactory();
		}
		return factory;
	}
	
}


/* __oOo__ */