package de.desy.tine.types;

import de.desy.tine.definitions.TFormat;

public final class NAME32I extends NAMEINT implements TCompoundDataObject
{
  public static final short dFormat = TFormat.CF_NAME32I;
  public int getSizeInBytes() { return nameSizeInBytes + 4; }
  public short getFormat() { return dFormat; }    
  public byte[] getByteArray() { return hByteArray; }
  public NAME32I(NAME32I instance) { name = instance.name; ival = instance.ival; }
  public boolean equals(NAME32I instance) { return super.equals(instance); }
  public NAME32I() 
  {
    super(32);
    //nameSizeInBytes = 32; name = new String(new StringBuffer(nameSizeInBytes)); ival = 0; 
  }  
  public NAME32I(String Name) 
  {
    super(32);
    if (Name != null) name = Name;
    //nameSizeInBytes = 32; name = Name; ival = 0; 
  }  
  public NAME32I(String Name,int i) 
  {
    super(32);
    if (Name != null) name = Name;
    ival = i;
    //nameSizeInBytes = 32; name = Name; ival = i; 
  }  
}