package debugTest;
import javax.swing.JFrame;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.JComponent;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;
import de.desy.acop.chart.Acop;
import de.desy.acop.chart.AcopEvent;
import de.desy.acop.transport.AccessMode;
import de.desy.acop.transport.AcopTransport;
import de.desy.acop.transport.AcopTransportEvent;
import de.desy.acop.transport.AcopTransportListener;
import de.desy.acop.transport.tine.AcopTransportTine;

import java.math.*;
import java.util.Random;
/**
 * @version 	1.0
 * @author
 */
public class AcopDebug extends JFrame
{
  static AcopDebug f;
  AWindow aWindow;
  static Button aButton;
  AMouse aMouse;
  AAcop aAcop;
  AAcop aAcop1;
  static Label acopLabel;
  static Acop a;
  static Acop a1;
  public static void main(String args[]) 
  {
    try 
    {
      f = new AcopDebug("ACOP Test Frame");
//      f.setBounds(100, 100, 600, 500);
      f.getContentPane().setLayout(null);
      f.setSize(600,500);
      a.setBounds(f.getBounds().x + 20,
                  f.getBounds().y + 20,
                  f.getBounds().width-50,
                  f.getBounds().height/2-50);
      a1.setBounds(f.getBounds().x + 20,
                  f.getBounds().y + f.getBounds().height/2 + 20,
                  f.getBounds().width-50,
                  f.getBounds().height/2-50);
//      a.setBounds(10,10,400,300);
      a.setVisible(true);
      a.setRandomData(true);
      a.setYMax(1000);
      a.setXMax(150);
      a1.setVisible(true);
      a1.setRandomData(true);
      a1.setYMax(1000);
      a1.setXMax(150);
      acopLabel = new Label("This is just a label on the frame");
      acopLabel.setBounds(f.getBounds().x + 20,f.getBounds().y + 20,400,10);
      aButton.setBounds(f.getBounds().x + 420,f.getBounds().y + 20,60,20);
      f.getContentPane().add(acopLabel);
      f.getContentPane().add(aButton);
      f.getContentPane().add(a);
      f.getContentPane().add(a1);
      f.setVisible(true);
      f.show();
    }
    catch (Exception e) 
    {
      System.out.println(">>> Exception in main");
      e.printStackTrace();
    }
  }
  public AcopDebug(String title)
  {
    super(title);
    aWindow = new AWindow();
    aMouse = new AMouse();
    aButton = new Button("Test");
    aButton.addMouseListener(aMouse);
    a = new de.desy.acop.chart.Acop();     
    a1 = new de.desy.acop.chart.Acop();
    aAcop = new AAcop();
    aAcop1 = new AAcop();
    a.addAcopListener(aAcop);
    //a.setAcopTransport(new AcopTransport());
    a.getAcopTransport().addAcopTransportProtocol(new AcopTransportTine());
    a.getAcopTransport().addAcopTransportListener(aAcop);
    this.addWindowListener(aWindow);
    a1.addAcopListener(aAcop);
    //a1.setAcopTransport(new AcopTransport());
    a1.getAcopTransport().addAcopTransportProtocol(new AcopTransportTine());
    a1.getAcopTransport().addAcopTransportListener(aAcop);
  }
  class AMouse extends java.awt.event.MouseAdapter
  {
    public void mouseClicked(java.awt.event.MouseEvent evt)
    {
      Object object = evt.getSource();
      if (object == aButton)
        aButton_mouseClicked(evt);
    }
  }
  void aButton_mouseClicked(java.awt.event.MouseEvent evt)
  {
    System.out.println("Button pressed");
    for (int i=0; i<141; i++)
    {
      x[i] = i;
    }
    AcopTransport at = a.getAcopTransport();
    a.setYMax(50);
    a.setYMin(-50);
    at.setAccessProtocol("TINE");
    at.setAccessRate("1000");
    at.setDeviceContext("HERA");
    at.setDeviceGroup("HEPBPM");
    at.setDeviceName("WL197 MX");
    at.setDeviceProperty("ORBIT.X"); 
    a.setForeground(Color.BLUE);
    at.setAccessMode(AccessMode.POLL);
    a.setDisplayMode(4);
    a.setRandomData(false);
    int id = at.attachLink(y,141,null,0);
    at.setDeviceProperty("ORBIT.Y"); 
    at.setDeviceName("WL164 MY");
    id = at.attachLink(z,141,null,0);

    at = a1.getAcopTransport();
    a1.setYMax(50);
    a1.setYMin(-50);
    at.setAccessProtocol("TINE");
    at.setAccessRate("1000");
    at.setDeviceContext("HERA");
    at.setDeviceGroup("HEPBPM");
    at.setDeviceProperty("ORBIT.Y"); 
    at.setDeviceName("WL164 MY");
    a1.setForeground(Color.GREEN);
    at.setAccessMode(AccessMode.POLL);
    a1.setDisplayMode(4);
    id = at.attachLink(z,141,null,0);
    a1.setRandomData(false);
  }
  class AButton extends Button
  {
    AButton(String s)
    {
      super(s);
    }
    /**
		 * @see java.awt.Component#addMouseListener(MouseListener)
		 */
		public synchronized void addMouseListener(MouseListener l)
		{
			super.addMouseListener(l);
		}

  }
  class AWindow extends java.awt.event.WindowAdapter
  {
    public void windowClosing(java.awt.event.WindowEvent evt)
    {
      Object object = evt.getSource();
      if (object == f) 
      {
        f_WindowClosing(evt);
        System.exit(0);
      }
    }
  }
  void f_WindowClosing(java.awt.event.WindowEvent evt)
  {
    setVisible(false);     // hide the Frame
    a.getAcopTransport().closeLink(-1);
  }
  class AAcop implements de.desy.acop.chart.AcopListener, AcopTransportListener
  {
    public void acopMouseExit(de.desy.acop.chart.AcopEvent evt)
    {
      Object object = evt.getSource();
      if (object == a) a_AcopMouseExit(evt);
    }

    public void acopMouseMove(de.desy.acop.chart.AcopEvent evt)
    {
      Object object = evt.getSource();
      if (object == a) a_AcopMouseMove(evt);
    }

    public void acopMouseZoom(de.desy.acop.chart.AcopEvent evt)
    {
      Object object = evt.getSource();
      if (object == a) a_AcopMouseZoom(evt);
    }
    public void acopMouseEnter(de.desy.acop.chart.AcopEvent evt)
    {
      Object object = evt.getSource();
      if (object == a) a_AcopMouseEnter(evt);
    }

    public void acopReceive(AcopEvent receive)
    {
      // deprecated
    }
    public void dataEventReceived(AcopTransportEvent event)
    {
      Object object = event.getSource();
      if (object == a.getAcopTransport()) a_AcopReceive(event);
      if (object == a1.getAcopTransport()) a1_AcopReceive(event);
    }

    public void acopMouseClick(de.desy.acop.chart.AcopEvent evt)
    {
      Object object = evt.getSource();
      if (object == a) a_AcopMouseClick(evt);
    }

    /* (non-Javadoc)
     * @see de.desy.acop.chart.AcopListener#AcopMouseDoubleClick(de.desy.acop.chart.AcopEvent)
     */
    public void acopMouseDoubleClick(AcopEvent doubleClick)
    {
      // TODO Auto-generated method stub
      
    }

	public void acopMousePressed(AcopEvent pressed) {
		// TODO Auto-generated method stub
		
	}
  }  
  void a_AcopMouseEnter(de.desy.acop.chart.AcopEvent evt)
  {
  }
  void a_AcopMouseExit(de.desy.acop.chart.AcopEvent evt)
  {
  }
  float[] x = new float[141];
  float[] y = new float[141];
  float[] z = new float[141];
  Random r = new Random();
  void a_AcopMouseClick(de.desy.acop.chart.AcopEvent evt)
  {
    AcopTransport at = a.getAcopTransport();
//    a.setAccessProtocol("Simulate");
    at.setAccessProtocol("TINE");
    at.setAccessMode(AccessMode.READ);
    at.setAccessRate("1000");
    at.setDeviceContext("TEST");
    at.setDeviceGroup("SINE");
    at.setDeviceName("SINEDEV_0");
    at.setDeviceProperty("SINE"); 
    int rc = at.execute(y,141,null,0);
//    System.out.println("ACOP Clicked");
    a.setRandomData(false);
    a.setForeground(Color.RED);
    for (int i=0; i<141; i++)
    {
//      y[i] = r.nextFloat() * 100;
      x[i] = i;
    }
    a.clearScreen(-1,0);
    a.draw(y,x,null,null,141,100);
  }
  void a_AcopMouseMove(de.desy.acop.chart.AcopEvent evt)
  {
  }
  void a_AcopMouseZoom(de.desy.acop.chart.AcopEvent evt)
  {
  }
  void a_AcopReceive(AcopTransportEvent evt)
  {
//    int[] d = new int[1];
    a.clearScreen(-1,0);
    a.setForeground(Color.RED);
//    a.draw(y,x,null,null,141,100);
    a.draw(y);
//    a.GetDataSize(d,null,-1);
//    acopLabel.setText(a.getStatus() + " " + a.GetDataSize(-1) + " elements " + a.getTimeStamp().toString());
    a.setForeground(Color.BLUE);
//    a.draw(z,x,null,null,141,100);
    a.draw(z);
  }
  void a1_AcopReceive(AcopTransportEvent evt)
  {
//    int[] d = new int[1];
    a1.clearScreen(-1,1);
    a1.setForeground(Color.BLUE);
    a1.draw(z,x,null,null,141,100);
//    a.GetDataSize(d,null,-1);
    AcopTransport at = a1.getAcopTransport();
    acopLabel.setText(at.getStatus() + " " + at.getDataSize(-1) + " elements " + at.getTimeStamp().toString());
  }
}
